import { Data, DataPreview } from './Encode.js';

declare function Table<T extends object>(data: T): {
    table: Record<string, Record<string, Data.String | Data.Number | Data.BigInt | Data.Symbol | Data.Nill | DataPreview.Record | DataPreview.Error | DataPreview.RegExp | DataPreview.Collection | DataPreview.Array | DataPreview.Function | DataPreview.Element | DataPreview.Promise | DataPreview.Date | DataPreview.TypedArray | DataPreview.Buffer | DataPreview.DataView>>;
    cols: string[];
};

export { Table };
